package cn.com.countrygarden.bi.main.constant.wcx.enumeration;

/**
 * 类型
 */
public enum WcxInnoTypeEnum {
    PERSONAL("个人类型", "1"),
    TEAM("团队类型", "2");

    private String innoTypeName;
    private String innoTypeCode;

    WcxInnoTypeEnum(String innoTypeName, String innoTypeCode) {
        this.innoTypeName = innoTypeName;
        this.innoTypeCode = innoTypeCode;
    }

    /**
     * 获取基础业务线
     */
    public static String getInnoTypeName(String innoTypeCode) {
        for (WcxInnoTypeEnum e : WcxInnoTypeEnum.values()) {
            if (e.getInnoTypeCode().equals(innoTypeCode)) {
                return e.getInnoTypeName();
            }
        }
        return null;
    }

    public String getInnoTypeName() {
        return innoTypeName;
    }

    public String getInnoTypeCode() {
        return innoTypeCode;
    }
}
